Name:           perl-IP-Country
Version:        2.28
Release:        1%{?dist}
Summary:        Fast lookup of country codes from IP addresses
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IP-Country/
Source0:        http://www.cpan.org/authors/id/N/NW/NWETTERS/IP-Country-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Geography::Countries)
Requires:       perl(Geography::Countries)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Finding the home country of a client using only the IP address can be
difficult. Looking up the domain name associated with that address can
provide some help, but many IP address are not reverse mapped to any
useful domain, and the most common domain (.com) offers no help when
looking for country.

%prep
%setup -q -n IP-Country-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/ip2cc.1*
%{_bindir}/ip2cc

%changelog
* Thu Mar 17 2016 Daniel Berteaud <daniel@firewall-services.com> 2.28-1
- First build using cpanspec [SME: 9328]
